---
layout: post

title: PouchDB 6.2.0
author: Garren Smith

---

We have another PouchDB release. For a full changelog from 6.1.1 to 6.2.0, please see [the releases page](https://github.com/pouchdb/pouchdb/releases), I've summarised some of the new features and fixes below:

## PouchDB-find is out of Beta
PouchDB-find is a new query language, this is based off CouchDB [Mango](http://docs.couchdb.org/en/2.0.0/api/database/find.html). This work was originally started by [Nolan Lawson](https://twitter.com/nolanlawson) and [Garren Smith](https://www.twitter.com/garrensmith) and has now been merged into the PouchDB monorepo.

## PouchDB-find selectors for changes feed and replication
Now that Pouchdb-find has been merged in, [Will Holley](https://twitter.com/willholley) updated replication and changes so that it is now possible to create a 
filtered replication using the [PouchDB-find selectors](https://github.com/pouchdb/pouchdb/issues/5717) and use it in the changes feed.

## Deprecation of type()

We are deprecating the `.type()` api call in favour of a `_remote` boolean flag. Read more about it [here](https://github.com/pouchdb/pouchdb/issues/6106)

## Full changelog

### New features

- [#6289](https://github.com/pouchdb/pouchdb/issues/6289) - Merge in PouchDB-find
- [#5717](https://github.com/pouchdb/pouchdb/issues/5717) - Selector filter in changes feed and replication
- [#6106](https://github.com/pouchdb/pouchdb/issues/6106) - deprecate .type() in favor of ._remote

### Bug fixes and performance improvements

- [#5987](https://github.com/pouchdb/pouchdb/pull/5987) - remove references to "db" option
- [#6338](https://github.com/pouchdb/pouchdb/pull/6338) - pouchdb-find: don't emit missing fields
-	[#6345](https://github.com/pouchdb/pouchdb/issues/6345) - fix nextTick ES6 import in pouchdb-utils
- [#6358](https://github.com/pouchdb/pouchdb/issues/6358) - fix pouchdb-find null error
- [#6366](https://github.com/pouchdb/pouchdb/issues/6366) - fix $or/$nor without explicit $eq
- [#6422](https://github.com/pouchdb/pouchdb/issues/6422) - Add export of in-memory-logic
## Get in touch

As always, we welcome feedback from the community and would love to hear what you think of this release as well as PouchDB's future direction. Please don't hesitate to [file issues](https://github.com/pouchdb/pouchdb/issues) or [get in touch](https://github.com/pouchdb/pouchdb/blob/master/CONTRIBUTING.md#get-in-touch). And of course, a big thanks to all of our [new and existing contributors](https://github.com/pouchdb/pouchdb/graphs/contributors)!
